package com.ruoyi.project.training.spec.service;

import java.util.List;
import com.ruoyi.project.training.spec.domain.TStFeedback;

/**
 * 专项培训反馈Service接口
 * 
 * @author ruoyi
 * @date 2022-04-26
 */
public interface ITStFeedbackService 
{
    /**
     * 查询专项培训反馈
     *
     * @param planId 专项培训计划ID
     * @return 专项培训反馈
     */
    public TStFeedback selectTStFeedbackByPlanId(Long planId);

    /**
     * 查询专项培训反馈
     *
     * @param id 专项培训反馈ID
     * @return 专项培训反馈
     */
    public TStFeedback selectTStFeedbackById(Long id);

    /**
     * 查询专项培训反馈列表
     * 
     * @param tStFeedback 专项培训反馈
     * @return 专项培训反馈集合
     */
    public List<TStFeedback> selectTStFeedbackList(TStFeedback tStFeedback);

    /**
     * 新增专项培训反馈
     * 
     * @param tStFeedback 专项培训反馈
     * @return 结果
     */
    public int insertTStFeedback(TStFeedback tStFeedback);

    /**
     * 修改专项培训反馈
     * 
     * @param tStFeedback 专项培训反馈
     * @return 结果
     */
    public int updateTStFeedback(TStFeedback tStFeedback);

    /**
     * 批量删除专项培训反馈
     * 
     * @param ids 需要删除的专项培训反馈ID
     * @return 结果
     */
    public int deleteTStFeedbackByIds(Long[] ids);

    /**
     * 删除专项培训反馈信息
     * 
     * @param id 专项培训反馈ID
     * @return 结果
     */
    public int deleteTStFeedbackById(Long id);

    /**
     * 查询专项培训反馈
     *
     * @param tStFeedback 专项培训反馈
     * @return 专项培训反馈
     */
    public TStFeedback selectTStFeedbackByParams(TStFeedback tStFeedback);

    /**
     * 查询当前用户作为受邀导师的学员列表
     */
    public List<TStFeedback> selectInvitedSuccessorList(TStFeedback tStFeedback);
}
